package cn.superdesk.uniorder.dubbo.facade.accounting.supplier;



import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplierIssues;
import cn.superdesk.uniorder.dto.param.accounting.unified.supplier.AccountingUnifiedSupplierIssuesParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:    问题订单
 * @Author:         linjinyu
 * @Email  linjinyu@avic-s.com
 * @CreateDate:     2021-02-24 13:44:11
 * @UpdateUser:     linjinyu
 * @UpdateDate:     2021-02-24 13:44:11
 * @UpdateRemark:   修改内容
 * @Version:        1.0
 */
public interface DubboAccountingUnifiedSupplierIssuesService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(AccountingUnifiedSupplierIssuesParam param);

	@Deprecated
	void updateObj(AccountingUnifiedSupplierIssuesParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	AccountingUnifiedSupplierIssues findById(Long id);

	@Deprecated
	PageInfo<AccountingUnifiedSupplierIssues> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<AccountingUnifiedSupplierIssues> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addAccountingUnifiedSupplierIssues(AccountingUnifiedSupplierIssuesParam param);

	void updateAccountingUnifiedSupplierIssues(AccountingUnifiedSupplierIssuesParam param);

	void deleteAccountingUnifiedSupplierIssues(Long id);

	AccountingUnifiedSupplierIssues findAccountingUnifiedSupplierIssuesById(Long id);

	R<List<AccountingUnifiedSupplierIssues>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	void init001AccountingUnifiedSupplierIssuess(Integer isCreateExcel, LoginSysUser loginSysUser);
}
